> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/signers-requests/deletesigner.md).

# deleteSigner

### Overview

Parameters:

* String - signer token

Return:

* [Signer](/english/facilitators/sdks/java-sdk/used-classes/response/signer-response.md) - success
* Exception - failure

To delete this signer we need:

* set your api token.
* set your signer token.
* call the method.

### Usage:

Import the relevant components:

```java
import signers.SignerRequest;
```

Set your [Api Token](/english/master.md):

```java
String apiToken = "YOUR TOKEN";
```

Set your signer token.

```java
String signerToken = "SIGNER TOKEN";
```

Call the method deleteSigner and receive as a response a string containing "Signatário removido com sucesso." or an error message:

```java
try {
    Signer signerResponse = new SignerRequest(apiToken).updateSigner(signerToken, signer);
    String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

```java
import signers.SignerRequest;

public class DeleteSigner {
    public static void main(String[] args) throws Exception {
        String apiToken = "YOUR TOKEN";
        String signerToken = "SIGNER TOKEN";

        try {
            String response = new SignerRequest(apiToken).deleteSigner(signerToken);
            System.out.println(response);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/signers-requests/deletesigner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
